

<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<div th:replace="topmenu::topmenu"></div>

<div class="page-content" style="min-height:500px;">
    <div class="row">
        <div th:replace="leftmenu::leftmenu"></div>
        <div class="col-md-10">
            <div class="row">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="content-box-header">
                                <div class="panel-title">Employees</div>

                                <div class="panel-options">
                                    <a href="employee-pdf-export" >Pdf Export</a>
                                </div>
                            </div>
                            <div class="content-box-large box-with-header">
                                <table class="table table-bordered">
                                    <thead>
                                    <th>First Name</th>
                                    <th>Last Name</th>
                                    <th>Code</th>
                                    </thead>
                                    <tbody th:if="${employees}">
                                    <th:block th:each="employee : ${employees}">
                                        <tr>
                                            <td th:text="${employee.firstName}"></td>
                                            <td th:text="${employee.middleName}"></td>
                                            <td th:text="${employee.employeeCode}"></td>
                                        </tr>
                                    </th:block>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="content-box-header">
                                <div class="panel-title">Create new</div>

                            </div>
                            <div class="content-box-large box-with-header">
                                <form action="#" th:action="@{/create-new}" th:object="${employee}" method="post">
                                    <div class="form-group">
                                        <label for="firstName">First Name</label>
                                        <input class="form-control" type="text" th:field="*{firstName}" id="firstName" placeholder="First Name" />
                                    </div>
                                    <div class="form-group">
                                        <label for="middleName">Middle Name</label>
                                        <input class="form-control" type="text" th:field="*{middleName}" id="middleName" placeholder="Middle Name" />
                                    </div>
                                    <div class="form-group">
                                        <label for="employeeCode">Employee Code</label>
                                        <input class="form-control" type="text" th:field="*{employeeCode}" id="employeeCode" placeholder="Employee Code" />
                                    </div>



                                    <input type="submit"  class="btn btn-default" value="Save" />
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- these are some common code which we use in each and every file so separated with saprate
file in using -->
<div th:replace="footer::footer"></div>

</html>